# Command-Line blog posts

So, it only seems fitting that I should talk about a command-line interface to posting on this blog. No, I do not mean using links or the like, but a way to post from the command line.

So, this post is being typed up in vim on my Fedora 8 laptop. I will use this great little tool I found called wppost to post. wwpost is part of the perl module WordPress::Post.

A brief summary of its commands are bellow:

           -c category, can be a list separated by commas, no spaces
    -t title
    -i description, main body of post, if it has a slash, it is interpreted as a file to slurp
    like a text or html file
    -D iso formatted date for post, can be left out
    -T if there are image attachments, place them as thumbnails only, with link, not just resized

Some usage examples taken from the man page:

        Most basic of usage, (provided you have a ~/.wppost file)

    wppost -t 'hi everyone' -i 'i just wanted to say hello'

    If you want to specify two different categories:

    wppost -t 'Another Apple' -i 'Apples are really great. I do love them so.' -c food,rant -D 20071231

    If the body of the post is in a file

    wppost -t 'title here' -i ./content.txt

    If the content of the post is in a file and you want to use the file
    name as the title

    wppost -i ./Title_Here.txt

    If you want to have file attachments:

    wppost -t 'recent photos' -i 'these are recent pictures i took' ./*jpg

Pretty cool, huh?

Peace out!